<?php
declare(strict_types=1);

namespace WP_AUX\Entities\AuxCF\OptionsFields\PostType;

use AuxCF\Entities\Field\TextFieldEntity;
use AuxCF\Entities\Settings\Enum\OperatorEnum;

class PostTypeSearchFilterLabelFieldEntity extends TextFieldEntity
{
  public static string $namePattern = 'aux_search_%s_section_filter_label';

  protected string $label = 'Field Label';

  protected function init(): void
  {
    $this->addCondition(
      PostTypeSearchFilterTypeFieldEntity::class,
      OperatorEnum::EQUALS,
      'select'
    );
  }
}
